标签归档:fuse

ubuntu 安装 hubicfuse

 

如果你没有gcc,请先安装gcc:

apt-get  install  build-essential

 

1. 从github上clone源码:

https://github.com/TurboGit/hubicfuse

https://github.com/TurboGit/hubicfuse.git

2.执行./conbigure

configure: error: 'Unable to find libxml2. Please make sure library and header files are installed.'

缺少 libxml2

<span class="lnum">   1:  </span>apt-get install libxml2-dev

 

然后,发现还是缺少libxml2

找到这个帖子:

https://github.com/redbo/cloudfuse/issues/20

 

apt-get install pkg-config

 

然后:

configure: error: 'Unable to find libcurl. Please make sure library and header files are installed.'

apt-get install libcurl4-openssl-dev

 

然后:

apt-get install  libcurl3  libcurl3-openssl-dev  libcurl3-dev

 

然后缺少: libfuse

configure: error: 'Unable to find libfuse.  Please make sure library and header files are installed.'

apt-get install libfuse-dev

 

缺少json:

找到这个网址:

http://webcache.googleusercontent.com/search?q=cache:XxNdg6n75boJ:linuxprograms.wordpress.com/2010/05/20/install-json-c-in-linux/+&cd=6&hl=en&ct=clnk

先update一下:

apt-get update

 

apt-get install libjson0 libjson0-dev

 

然后 ./configure

 

ok, 搞定。

 

然后:

make
make install

 

 

然后,新建,并编辑 ~/.cloudfuse  文件

 

然后:

mkdir /mnt/hubic

执行:

hubicfuse /mnt/hubic -o noauto_cache,sync_read,allow_other

 

 

如果是openvz的虚拟机,会出现这个错误。  可能是主机没有添加fuse模块,需要写信给客服,让打开fuse模块,不是所有的厂商都愿意给你打开fuse。

fuse: device not found, try 'modprobe fuse' first

 

如果是xen的服务器,就已经成功了。

 

image
byNeil
byNeil.com

原文来自 Blog by Neil, post ubuntu 安装 hubicfuse 转载请注明出处。本站保留一切权力